> For the complete documentation index, see [llms.txt](https://docs.violet.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.violet.io/prism/webhooks/managing-webhook-headers.md).

# Webhook Headers

## Overview

Webhooks headers allow you to define custom headers that should be sent with each request to your remote endpoint. These can be useful for authentication or tracking purposes.

See our [API Reference](/api-reference/events/webhook-headers/get-webhook-headers.md) for a full description of each of the below calls.

## Creating Webhook Headers

Webhook headers can be created through the REST API by performing the following request.

```bash
curl -X POST https://sandbox-api.violet.io/v1/events/webhooks/{webhook_id}/headers \
-H "X-Violet-App-Id: your-app-id-here" \
-H "X-Violet-App-Secret: your-app-secret-here" \
-H "X-Violet-Token: your-token-here" \
-H "Content-type: application/json" \
-d '{"key": "X-MyApp-Header", "value": "Some Value"}'
```

## Retrieving a List of Webhook Headers

A list of headers associated with your webhook can be obtained through the REST API by performing the following request.

```bash
curl GET https://sandbox-api.violet.io/v1/events/webhooks/{webhook_id}/headers \
-H "X-Violet-App-Id: your-app-id-here" \
-H "X-Violet-App-Secret: your-app-secret-here" \
-H "X-Violet-Token: your-token-here" \
-H "Content-type: application/json"
```

## Modifying Webhook Headers

Webhook headers can be modified through the REST API by performing the following request.

```bash
curl -X PUT https://sandbox-api.violet.io/v1/events/webhooks/{webhook_id}/headers/{header_id} \
-H "X-Violet-App-Id: your-app-id-here" \
-H "X-Violet-App-Secret: your-app-secret-here" \
-H "X-Violet-Token: your-token-here" \
-H "Content-type: application/json" \
-d '{"key": "X-MyApp-Header", "value": "Some New Value"}'
```

## Removing Webhook Headers

```bash
curl -X DELETE https://sandbox-api.violet.io/v1/events/webhooks/{webhook_id}/headers/{header_id} \
-H "X-Violet-App-Id: your-app-id-here" \
-H "X-Violet-App-Secret: your-app-secret-here" \
-H "X-Violet-Token: your-token-here" \
-H "Content-type: application/json"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.violet.io/prism/webhooks/managing-webhook-headers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
